package cn.superdesk.uniorder.dao.mapper.marketing.department;

import cn.superdesk.uniorder.dao.entity.marketing.department.UnifiedArea;
import cn.superdesk.uniorder.dto.vo._function.select.SelectOptionCity;
import cn.superdesk.uniorder.dto.vo.marketing.department.UnifiedAreaVo;
import cn.superdesk.uniorder.dto.vo.marketing.department.UnifiedAreaWeb;

import java.util.List;
import java.util.Map;

public interface UnifiedAreaMapperEx {

	List<UnifiedAreaVo> getData(Map<String, Object> params);

	List<SelectOptionCity> getCitySelect(Map<String, Object> params);

	List<UnifiedAreaWeb> getWebData(Map<String, Object> params);

	List<UnifiedArea> findAll(Map<String, Object> queryMap);
}